summaryrefslogtreecommitdiffstats
path: root/system/twin
diff options
context:
space:
mode:
author Matthew Fillpot <mfilpot@gmail.com>2010-05-13 00:42:06 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:42:06 +0200
commitc502f2567867f95213f82eb617d73042ec417e72 (patch)
tree77b8e79a86d89b308db32ba783ce5f31b2ed2b87 /system/twin
parent90df6dd8d6620185a196ff63a87c65b959f5cbc7 (diff)
downloadslackbuilds-c502f2567867f95213f82eb617d73042ec417e72.tar.gz
slackbuilds-c502f2567867f95213f82eb617d73042ec417e72.tar.xz
system/twin: Updated for version 0.6.1
Diffstat (limited to 'system/twin')
-rw-r--r--system/twin/twin.SlackBuild41
-rw-r--r--system/twin/twin.info8
2 files changed, 37 insertions, 12 deletions
diff --git a/system/twin/twin.SlackBuild b/system/twin/twin.SlackBuild
index f277bbb1a3..aaf71d94bc 100644
--- a/system/twin/twin.SlackBuild
+++ b/system/twin/twin.SlackBuild
@@ -1,9 +1,26 @@
#!/bin/sh
# Slackware build script for twin
-# Written by chopp (nix4me@gmail.com)
-# Some portions, methods and/or ideas obtained from:
-# http://slackbuilds.org/template.SlackBuild
+
+# Copyright 2009 Matthew "mfillpot" Fillpot
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Slightly modified by Robby Workman <rworkman@slackbuilds.org>
@@ -20,10 +37,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -41,6 +61,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -51,15 +72,17 @@ make install DESTDIR=$PKG
( cd $PKG
strip -g usr/lib/*.a
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mv $PKG/usr/share/man $PKG/usr/
( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
( cd $PKG/usr/doc/$PRGNAM-$VERSION
@@ -73,4 +96,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/twin/twin.info b/system/twin/twin.info
index 3239cc2b82..95cc81dd17 100644
--- a/system/twin/twin.info
+++ b/system/twin/twin.info
@@ -3,6 +3,8 @@ VERSION="0.6.1"
HOMEPAGE="http://sourceforge.net/projects/twin/"
DOWNLOAD="http://downloads.sourceforge.net/twin/twin-0.6.1.tar.gz"
MD5SUM="79fa70a10f720a947ff7e9d7be77435b"
-MAINTAINER="chopp"
-EMAIL="nix4me@gmail.com"
-APPROVED="Michiel" \ No newline at end of file
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Matthew Fillpot"
+EMAIL="mfilpot@gmail.com"
+APPROVED="dsomero"